openbsd-ports/print/hplip/patches/patch-configure
2010-09-08 07:13:16 +00:00

119 lines
3.6 KiB
Plaintext

$OpenBSD: patch-configure,v 1.7 2010/09/08 07:13:16 ajacoutot Exp $
--- configure.orig Mon Jul 19 04:20:24 2010
+++ configure Wed Sep 8 08:40:18 2010
@@ -748,10 +748,10 @@ MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Identity of this package.
-PACKAGE_NAME='HP Linux Imaging and Printing'
+PACKAGE_NAME='HP Linux (& Unix) Imaging and Printing'
PACKAGE_TARNAME='hplip'
PACKAGE_VERSION='3.10.6'
-PACKAGE_STRING='HP Linux Imaging and Printing 3.10.6'
+PACKAGE_STRING='HP Linux (& Unix) Imaging and Printing 3.10.6'
PACKAGE_BUGREPORT='3.10.6.15'
# Factoring default headers for most tests.
@@ -20262,14 +20262,14 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
-# Checks for required libraries, don't set global -lpthread, -lm, -ljpeg, ... here, set in Makefile.
-{ $as_echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
-$as_echo_n "checking for pthread_create in -lpthread... " >&6; }
+# Checks for required libraries, don't set global -pthread, -lm, -ljpeg, ... here, set in Makefile.
+{ $as_echo "$as_me:$LINENO: checking for pthread_create in -pthread" >&5
+$as_echo_n "checking for pthread_create in -pthread... " >&6; }
if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
$as_echo_n "(cached) " >&6
else
ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpthread $LIBS"
+LIBS="-pthread $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
@@ -20480,82 +20480,6 @@ else
{ { $as_echo "$as_me:$LINENO: error: \"cannot find libjpeg support\"" >&5
$as_echo "$as_me: error: \"cannot find libjpeg support\"" >&2;}
{ (exit 102); exit 102; }; }
-fi
-
-{ $as_echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
-$as_echo_n "checking for dlopen in -ldl... " >&6; }
-if test "${ac_cv_lib_dl_dlopen+set}" = set; then
- $as_echo_n "(cached) " >&6
-else
- ac_check_lib_save_LIBS=$LIBS
-LIBS="-ldl $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-
-/* Override any GCC internal prototype to avoid an error.
- Use char because int might match the return type of a GCC
- builtin and then its argument prototype would still apply. */
-#ifdef __cplusplus
-extern "C"
-#endif
-char dlopen ();
-int
-main ()
-{
-return dlopen ();
- ;
- return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
-$as_echo "$ac_try_echo") >&5
- (eval "$ac_link") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } && {
- test -z "$ac_c_werror_flag" ||
- test ! -s conftest.err
- } && test -s conftest$ac_exeext && {
- test "$cross_compiling" = yes ||
- $as_test_x conftest$ac_exeext
- }; then
- ac_cv_lib_dl_dlopen=yes
-else
- $as_echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_cv_lib_dl_dlopen=no
-fi
-
-rm -rf conftest.dSYM
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
- conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
-$as_echo "$ac_cv_lib_dl_dlopen" >&6; }
-if test "x$ac_cv_lib_dl_dlopen" = x""yes; then
- LIBS="$LIBS" cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBDL 1
-_ACEOF
-
-else
- { { $as_echo "$as_me:$LINENO: error: \"cannot find libdl support\"" >&5
-$as_echo "$as_me: error: \"cannot find libdl support\"" >&2;}
- { (exit 104); exit 104; }; }
fi